# Centralized account info

The `CentralizedAccountInfo` entity provides account information collected by the CSPR.cloud team for well-known accounts in the Casper ecosystem.

## Properties

The `CentralizedAccountInfo` entity has the following properties:

| Property       | Type         | Description                                                 |
| -------------- | ------------ | ----------------------------------------------------------- |
| `account_hash` | `string(64)` | Account hash represented as a hexadecimal string            |
| `name`         | `string`     | A known display name for the account                        |
| `url`          | `string`     | The top level domain URL that holds the account information |
| `avatar_url`   | `string`     | The URL of the account's avatar image                       |

**Example**

```json
{
  "data": {
    "account_hash": "02faaa3d8155039a88589d531f8107335476589c2e920980a6981f905671e20d",
    "avatar_url": "https://casper-assets.s3.amazonaws.com/accounts/casper-association.png",
    "name": "Casper Association - Developer grants",
    "url": null
  }
}
```

## Optional properties

None

## Relations

The `CentralizedAccountInfo` entity has the following relations with other entities:

| Entity                                                              | Mapping property | Description                                                                                                           |
| ------------------------------------------------------------------- | ---------------- | --------------------------------------------------------------------------------------------------------------------- |
| [`Account`](/rest-api/account.md)                                   | `account_hash`   | Account info provides information about an account                                                                    |
| [`Bidder`](/rest-api/bidder.md)                                     | `account_hash`   | Bidder accounts may have account info provided                                                                        |
| [`Block`](/rest-api/block.md)                                       | `account_hash`   | Block proposer accounts may have account info provided                                                                |
| [`Contract package`](/rest-api/contract-package.md)                 | `account_hash`   | Contract package owners may have account info provided                                                                |
| [`CSPR.name resolution`](http://CSPR.name)                          | `account_hash`   | CSPR.name resolution target accounts may have account info provided                                                   |
| [`Delegation`](/rest-api/delegation.md)                             | `account_hash`   | Both delegators and validators may have account info provided                                                         |
| [`Delegator reward`](/rest-api/delegator-reward.md)                 | `account_hash`   | Both delegators and validators may have account info provided                                                         |
| [`Fungible token action`](/rest-api/fungible-token-action.md)       | `account_hash`   | Fungible token action sender and recipient accounts, as well as deploy caller accounts may have account info provided |
| [`Fungible token ownership`](/rest-api/fungible-token-ownership.md) | `account_hash`   | Fungible token owner accounts may have account info provided                                                          |
| [`Fungible token ownership`](/rest-api/fungible-token-ownership.md) | `account_hash`   | Fungible token owner accounts may have account info provided                                                          |
| [`NFT action`](/rest-api/non-fungible-token-action.md)              | `account_hash`   | NFT action sender and recipient accounts, as well as deploy caller accounts may have account info provided            |
| [`NFT ownership`](/rest-api/non-fungible-token-ownership.md)        | `account_hash`   | NFT owner accounts may have account info provided                                                                     |
| [`Transfer`](/rest-api/transfer.md)                                 | `account_hash`   | Transfer sender and recipient accounts, as well as deploy caller accounts may have account info provided              |
| [`Validator`](/rest-api/validator.md)                               | `account_hash`   | Validator accounts may have account info provided                                                                     |

## Endpoints

The `CentralizedAccountInfo` entity has the following endpoints:

* [Get centralized account info](/rest-api/centralized-account-info/get-centralized-account-info.md)
* [Get centralized account infos](/rest-api/centralized-account-info/get-centralized-account-infos.md)

## Relation endpoints

None


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/rest-api/centralized-account-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
